/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.workflow.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class PmAttendanceDto extends BaseDto {
	
	private static final long	serialVersionUID	= 7016023998379009398L;
	
	// フィールド
	private int					routeid				= 0;					// ルートID
	private String				scode				= "";					// 所属コード
	private String				kcode				= "";					// 社員コード
	private String				rtcode				= "";					// ルートコード
	private String				jcode				= "";					// 事業所コード
	private int					deleteflag			= 0;					// 削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public PmAttendanceDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return routeid 	ルートID。
	 */
	public int getRouteId() {
		return routeid;
	}
	
	/**
	 * @return scode 	所属コード。
	 */
	public String getSCode() {
		return scode;
	}
	
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return rtcode 	ルートコード。
	 */
	public String getRtCode() {
		return rtcode;
	}
	
	/**
	 * @return jcode 	事業所コード。
	 */
	public String getJCode() {
		return jcode;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param routeid 	セットするルートID。
	 */
	public void setRouteId(int routeid) {
		this.routeid = routeid;
	}
	
	/**
	 * @param scode 	セットする所属コード。
	 */
	public void setSCode(String scode) {
		this.scode = scode;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param rtcode 	セットするルートコード。
	 */
	public void setRtCode(String rtcode) {
		this.rtcode = rtcode;
	}
	
	/**
	 * @param jcode 	セットする事業所コード。
	 */
	public void setJCode(String jcode) {
		this.jcode = jcode;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
